package cz.senslog.analytics.utils.newvalidator;

import cz.senslog.analytics.domain.AttributeType;
import cz.senslog.analytics.domain.ComparisonOperator;

import java.util.List;

public record Threshold(long id, long dataSourceId, boolean enableProcess, boolean enableAlert, String messagePattern, List<Dimension> dimensions) {
    public record Dimension(AttributeType attributeType, NotifyTrigger.Mode notifyTriggerMode, List<Rule> rules) {
        public record Rule(ComparisonOperator comparisonOperator, double value) {}
    }
}
